fastjson 发布关于“反序列化远程代码执行漏洞”的安全公告

2020年06月01日

昨天我们报导了 fastjson 补曝出存在高危远程代码执行漏洞,今天 fastjson 官方发布了安全公告:

https://github.com/alibaba/fastjson/wiki/security_update_20200601

以下为完整公告引用:

安全公告20200601

近日,阿里云应急响应中心监测到fastjson爆发新的反序列化远程代码执行漏洞,黑客利用漏洞,可绕过autoType限制,直接远程执行任意命令攻击服务器,风险极大。

漏洞描述

fastjson采用黑白名单的方法来防御反序列化漏洞,导致当黑客不断发掘新的反序列化Gadgets类时,在autoType关闭的情况下仍然可能可以绕过黑白名单防御机制,造成远程命令执行漏洞。经研究,该漏洞利用门槛较低,可绕过autoType限制,风险影响较大。阿里云应急响应中心提醒fastjson用户尽快采取安全措施阻止漏洞攻击。

影响版本

  • fastjson <=1.2.68
  • fastjson sec版本 <= sec9
  • android版本不受此漏洞影响

升级方案

升级到最新版本1.2.69或者更新的1.2.70版本。

如果遇到兼容问题,原地升级sec10版本。

如果还遇到其他兼容问题,这里有更多的sec10版本 https://repo1.maven.org/maven2/com/alibaba/fastjson/

fastjson加固

fastjson在1.2.68及之后的版本中引入了safeMode,配置safeMode后,无论白名单和黑名单,都不支持autoType,可一定程度上缓解反序列化Gadgets类变种攻击(关闭autoType注意评估对业务的影响)

如有需要修改本注脚,请联系阿里巴巴,

© Alibaba Fastjson Develop Team

注明: 版权所有阿里巴巴,请注明版权所有者

If you need to amend this footnote, please contact Alibaba.

© Alibaba Fastjson Develop Team

Note: Copyright Alibaba, please indicate the copyright owner

展开阅读全文
10 收藏
分享
加载中
精彩评论
打算抽点时间把fastjson移除,隔几个月就报个安全漏洞,吃不消呀
2020-06-01 11:23
22
举报
BUG之王, 从来没听说过这个库能干什么, 一直听说各种各样的BUG
2020-06-01 10:04
8
举报
事物都有两面性,不是非黑即白,跟以前的国货一样,一半的价格,80%的功能,看你怎么取舍
2020-06-01 09:45
8
举报
运行时自动序列化一直觉得是一个很邪恶的事情,同类的还有 java 的字节码注入技术,不好好发展语言让它表达能力更强,老在这些地方 hack,还 hack 成标准成生态了
2020-06-01 13:16
4
举报
结果现在这个漏洞就是"在autoType关闭的情况下仍然可能可以绕过黑白名单防御机制"
2020-06-01 18:50
3
举报
最新评论 (45)
近期一定要安排计划移除fastjson
2020-06-08 23:51
0
回复
举报
阿里的开源也得慎重评估了
2020-06-08 23:50
0
回复
举报
强烈建议咏jackson 替代 fastjson, 这库真的是来啃人的, 兼容性问题,安全问题时不时来下
2020-06-08 14:33
0
回复
举报
哪里是 fastjson,明明就是bugjson
2020-06-04 11:11
2
回复
举报
电网去年就发公告不允许用这个了。。。
2020-06-03 17:22
0
回复
举报
隔几个月一个这谁顶得住啊
2020-06-02 13:09
0
回复
举报
这是有多着急
1.2.79 https://github.com/alibaba/fastjson/releases/tag/1.2.70

。。。。。。
2020-06-01 20:16
0
回复
举报
大家都防SQL注入。实际上,js注入啥的不少,要是你xml配置也拿来执行,人家就敢注入了
2020-06-01 19:15
0
回复
举报
阿里霸哥,龙行虎步势惊天;谁的酒婶,妙曼难言诱惑人?
2020-06-01 19:11
1
回复
举报
💔19年,都爆过一回呢。https://www.oschina.net/news/110001/fastjson-1-2-61-released

“此外,近期某安全厂商把 autoType 黑名单相关漏洞级别定义为“高危”,fastjson 官方表示:autoType 默认是关闭的,需要显示配置打开并且依赖特定包的漏洞不应该算是高危漏洞。”
2020-06-01 17:50
0
回复
举报
结果现在这个漏洞就是"在autoType关闭的情况下仍然可能可以绕过黑白名单防御机制"
2020-06-01 18:50
3
回复
举报
更多评论
45 评论
10 收藏
分享
返回顶部
顶部